#
# spec file for package ceph-medic
#
Name:           ceph-medic
Version:        1.0.4
Release:        1%{?dist}
Summary:        Find common issues on Ceph clusters
License:        MIT
URL:            https://github.com/ceph/ceph-medic
Source0:        https://github.com/ceph/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  pytest
BuildRequires:  python-remoto
BuildRequires:  python-mock
BuildRequires:  python-tambo
Requires:       python-remoto
Requires:       python-tambo
Requires:       python-execnet

BuildArch:      noarch


%description
An admin tool to determine common issues on Ceph storage clusters.

%prep
%autosetup -p1

%build
python setup.py build

%install
python setup.py install -O1 --skip-build --root %{buildroot}

%check
export PYTHONPATH=$(pwd)

py.test-%{python_version} -v ceph_medic/tests

%files
%license LICENSE
%doc README.rst
%{_bindir}/ceph-medic
%{python_sitelib}/*

%changelog
* Wed Sep 27 2017 Ken Dreyer <kdreyer@redhat.com> 1.0.4-1
- Update to 1.0.4 (rhbz#1493636)

* Tue Sep 19 2017 Ken Dreyer <kdreyer@redhat.com> 1.0.3-1
- Update to 1.0.3 (rhbz#1489447 rhbz#1489444)

* Thu Aug 17 2017 Ken Dreyer <kdreyer@redhat.com> 1.0.2-1
- Update to 1.0.2 (rhbz#1482579)

* Fri Jul 14 2017 Ken Dreyer <kdreyer@redhat.com> - 1.0.0-1
- initial el7 package
